import { Server, Req, ReqConfig } from "./app";

/**
 * http - server
 * 编写 http 方法
 * 可以通过 this.app 获取 config 和 appinfo 信息
 */
export default class HttpServer extends Server {
    /**
     * 默认 http 请求
     */
    protected httpClient: Req = this.createHttp(this.app.config.server_url);

    /**
     * 自定义 http 请求
     * example :
     * userReq = createHttp()
     * userReq.
     */
    protected createHttp(baseUrl: string, config?: ReqConfig) {
        const req = new Req(baseUrl);
        if (config != undefined) {
            req.configReq(config);
        }
        return req;
    }
}
