import MicroApp from "./micro-app";
import { logger, debug } from "./micro-logs";
import { Logger } from "log4js";

/**
 * 数据请求基类:
 *  当前为： http
 *  如果切换为 grpc 的话，重写该基类
 *
 */
export default class MicroServer<T extends MicroApp> {
    /**
     * 打印日志
     */
    protected logger: Logger = logger;

    /**
     * debug 日志
     */
    protected debug = debug;

    /**
     * 初始化 app
     */
    constructor(protected readonly app: T) {
        if (app === undefined) {
            throw new Error("micro not init server");
        }
    }
    // TODO 实现网络请求
}
